<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 01/21/2013 *
 * ===================                          Last change: 01/21/2013 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : blacklist_filter.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Filters for ext-blacklist                        *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Filter fuer ext-blacklist                        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Filter to check if email address is blacklisted
function FILTER_CHECK_EMAIL_BLACKLISTED ($filterData) {
	// Is the email address blacklisted?
	if (($filterData['init_done'] === TRUE) && (isEmailBlacklistEnabled()) && (isEmailBlacklisted($filterData['post_data']['email']))) {
		// Then abort here
		$filterData['init_done'] = FALSE;

		// Run filter chain for successful detection (don't rely on other fields than 'email') here
		runFilterChain('post_email_blacklisted', $filterData);
	} // END - if

	// Return filtered data
	return $filterData;
}

// Filter for logging blacklisted email addresses, is being called from above filter
function FILTER_LOG_EMAIL_BLACKLISTED ($filerData) {
	// Make sure, that required data is there
	assert((isset($filterData['init_done'])) && (isset($filterData['post_data']['email'])));

	// @TODO Insert log entry

	// Return filtered data
	return $filterData;
}

// [EOF]
?>
