<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/24/2012 *
 * ===================                          Last change: 10/24/2012 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_user_amounts.php                       *
 * -------------------------------------------------------------------- *
 * Short description :                                                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  :                                                  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Run through all "points columns"
$sql = '';
foreach (runFilterChain('locked_points_columns_array', array('points')) as $column) {
	// Add it with/-out locked
	$sql .= '`p`.`' . $column . '` + `p`.`locked_' . $column . '` +';
} // END - foreach

// Remove last plus
$sql = substr($sql, 0, -1);

// Run the query to obtain all user's amounts (regardless of their status)
$result = SQL_QUERY('SELECT
	`p`.`userid`,
	SUM(
		' . $sql . ' -
		`d`.`used_points`
	) AS `points`
FROM
	`{?_MYSQL_PREFIX?}_user_points` AS `p`
INNER JOIN
	`{?_MYSQL_PREFIX?}_user_data` AS `d`
ON
	`d`.`userid`=`p`.`userid`
GROUP BY
	`p`.`userid`
ORDER BY
	`p`.`userid` ASC', __FILE__, __LINE__);

// Are there entries? (sorry, the XML functions cannot "produce" the above SQL statement)
if (!SQL_HASZERONUMS($result)) {
	// Init amounts and points
	$totalPoints = '0';
	$amounts = array();

	// Then load all
	while ($row = SQL_FETCHARRAY($result)) {
		// Add it
		$amounts[$row['userid']] = $row;
		$totalPoints            += $row['points'];
	} // END - while

	// Init output
	$out = array(
		'rows'  => '',
		'total' => $totalPoints
	);

	// ... and display all
	foreach ($amounts as $userid => $row) {
		// Calculate and add percentage to data array
		$row['percents'] = $row['points'] / $totalPoints * 100;

		// Load row template
		$out['rows'] .= loadTemplate('admin_list_user_amounts_row', TRUE, $row);
	} // END - foreach

	// Load main template
	loadTemplate('admin_list_user_amounts', FALSE, $out);
} else {
	// No members found
	displayMessage('{--ADMIN_LIST_USER_AMOUNTS_404--}');
}

// Free result
SQL_FREERESULT($result);

// [EOF]
?>
