<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 06/29/2004 *
 * ===================                          Last change: 08/22/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-rallyes.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Ref rallyes                                      *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Ref-Rallyes                                      *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addYouAreHereLink('member', __FILE__);

if ((!isExtensionActive('rallye')) && (!isAdmin())) {
	displayMessage('{%pipe,generateExtensionInactiveNotInstalledMessage=rallye%}');
	return;
} // END - if

// Check for possible running rallyes
$ADD = " AND `d`.`is_active`='Y'";
if (isAdmin()) $ADD = '';

$result = SQL_QUERY("SELECT
	`d`.`id`,
	`d`.`admin_id`,
	`a`.`login`,
	`d`.`title`,
	`d`.`descr`,
	`d`.`template`,
	`d`.`start_time`,
	`d`.`end_time`,
	`d`.`min_users`,
	`d`.`min_prices`
FROM
	`{?_MYSQL_PREFIX?}_rallye_data` AS `d`
INNER JOIN
	`{?_MYSQL_PREFIX?}_admins` AS `a`
ON
	`d`.`admin_id`=`a`.`id`
WHERE
	`d`.`notified`='Y'
	" . $ADD . "
ORDER BY
	`d`.`end_time` ASC
LIMIT 1", __FILE__, __LINE__);

if (SQL_NUMROWS($result) == 1) {
	// Found some (normally one...
	$content = SQL_FETCHARRAY($result);

	$expired = FALSE;
	if (($content['end_time'] < time()) && (getTotalConfirmedUser() >= $content['min_users']) && (getTotalRallyeWinners($content['id']) >= $content['min_prices'])) {
		// Rallye is expired
		$content['extras'] = '{--RALLYE_HAS_EXPIRED--}';
		$expired = TRUE;
	} elseif (time() >= ($content['end_time'] - getOneDay())) {
		// Rallye will expire in less one day!
		$content['extras'] = '{--RALLYE_EXPIRE_ONE_DAY--}';
	} else {
		// Link to referral links page
		$content['extras'] = '<a href="{%url=modules.php?module=login&amp;what=reflinks%}">{--RALLYE_GET_REFERRAL_LINK--}</a>';
	}

	// Set admin line (currently set to impressum, later to contact form)
	// @TODO Reactivate this: $content['admin'] = '<a href="{%url=modules.php?module=index&amp;what=impressum&amp;id=' . $content['admin_id'] . '%}">' . $content['login'] . '</a>';

	// Handle description...
	if ((empty($content['descr'])) && (!empty($content['template']))) {
		// Use description from template
		$content['descr'] = '{%template,LoadTemplate=rallye_' . $content['template'] . '%}';
	} // END - if

	// Set start and end time
	$content['start_time'] = generateDateTime($content['start_time'], 1);
	$content['end_time']   = generateDateTime($content['end_time']  , 1);

	if ($expired === TRUE) {
		$content['prices']       = addReferralRallyeWinners('member', $content['id']);
		$content['top_users']    = '<div align="center" class="big">' . $content['extras'] . '</div>';
		$content['can_win_this'] = '{--RALLYE_OUR_WINNERS_ARE--}';
	} else {
		$content['prices']       = addReferralRallyePrices($content['id'], 'html');
		$content['top_users']    = addReferralRallyeTopUsers('member', $content['id'], getMemberId());
		$content['can_win_this'] = '{--RALLYE_YOU_CAN_WIN--}';
	}

	// And load final template
	loadTemplate('member_show_rallye', FALSE, $content);
} else {
	// No rallye found so far
	loadTemplate('member_rallye_404');
}

// Free result
SQL_FREERESULT($result);

// [EOF]
?>
